@import model._

@import model.forms.DeleteActionForm
@(recentPlay: GameActionWithPlayers, form: Form[DeleteActionForm])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers("Delete Play")
    </head>
    <body>

        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Delete Action</h3>
            <a class="btn btn-warning" href="@routes.GameController.viewGame(recentPlay.gameAction.gameId)">Back to Game</a>
            <hr />
            @helper.form(action = routes.UmpireController.deleteRecentPlay(recentPlay.gameAction.gameId)) {
                @helper.input(form("id")) { (id, name, value, args) =>
                    <input type="number" name="@name" id="@id" hidden="hidden" value="@recentPlay.gameAction.id" />
                }
                <div class="row">
                    <div class="col-sm-6">
                        <label for="fake-pitcher">Pitcher</label>
                        <input type="text" id="fake-pitcher" readonly="readonly" class="form-control" value="@recentPlay.pitcher.fullName">
                    </div>
                    <div class="col-sm-6">
                        <label for="fake-pitch">Pitch</label>
                        <input type="number" id="fake-pitch" readonly="readonly" class="form-control" value="@recentPlay.gameAction.pitch.map(_.toString).getOrElse("x")" />
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <label for="fake-batter">Batter</label>
                        <input type="text" id="fake-batter" readonly="readonly" class="form-control" value="@recentPlay.batter.fullName">
                    </div>
                    <div class="col-sm-6">
                        <label for="fake-swing">Swing</label>
                        <input type="number" id="fake-swing" readonly="readonly" class="form-control" value="@recentPlay.gameAction.swing.map(_.toString).getOrElse("x")" />
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <label for="fake-playtype">Play Type</label>
                        <input type="text" id="fake-playtype" readonly="readonly" class="form-control" value="@{model.PLAY_TYPES.find(_._2 == recentPlay.gameAction.playType).map(_._1).getOrElse("Unknown")}" />
                    </div>
                    <div class="col-sm-6">
                        <label for="swing-preview" id="swing-preview-label">Preview</label>
                        <textarea id="swing-preview" readonly="readonly" class="form-control click-copy" rows="3" data-copy-label="swing-preview-label">@recentPlay.gameAction.preview</textarea>
                    </div>
                </div>
                <button class="btn btn-danger" type="submit">Delete</button>
            }
        </div>

    </body>
</html>
